Subject: Re:Re: [bug#44920] [PATCH]: Add fcitx5.

From: "Zhu Zihao" <[email-masked]>
Date: Sun, 6 Dec 2020 23:38:57 +0800 (CST)

In file gnu/packages/fcitx.scm 132:8

;; XXX: We can't simply #:use-module due to a cycle somewhere.

Looks that there's a cyclic dependency somewhere, AFAIK fcitx5's
components heavily depend on packages in (gnu packages kde-frameworks),
will this be a problem for us to merge fcitx.scm and fcitx5.scm?

> I’d like to put fcitx5 things into “fcitx.scm” too, as the author and
> the github organization dosen’t changed for fcitx5, likewise we also
> have both qt4 and qt5 in qt.scm and gtk2 and gtk3 in gtk.scm.